## mitmproxy 0.9.1

=== requirements.txt ===
Flask==0.9
Jinja2==2.7
MarkupSafe==0.18
PIL==1.1.7
Werkzeug==0.8.3
lxml==3.2.1
netlib==0.9
nose==1.3.0
pathod==0.9
pyOpenSSL==0.13
pyasn1==0.1.7
requests==1.2.2
urwid==1.1.1
wsgiref==0.1.2

## mitmproxy 0.7

=== debian/changelog ===
mitmproxy (0.7-1) unstable; urgency=low

  * Imported Upstream version 0.7

 -- Sebastien Delafond <seb@debian.org>  Tue, 28 Feb 2012 15:51:20 +0100

mitmproxy (0.6-3) unstable; urgency=low

  * Section is network, not python (Closes: #660334)

 -- Sebastien Delafond <seb@debian.org>  Sat, 18 Feb 2012 13:44:08 +0100

mitmproxy (0.6-2) unstable; urgency=low

  * Add Vcs-* info to control file

 -- Sebastien Delafond <seb@debian.org>  Sat, 18 Feb 2012 10:04:08 +0100

mitmproxy (0.6-1) unstable; urgency=low

  * Initial release (Closes: #659613).

 -- Sebastien Delafond <seb@debian.org>  Mon, 13 Feb 2012 11:46:52 +0100

=== debian/control ===
Source: mitmproxy
Section: net
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: python-all-dev (>= 2.6.6-3~), cdbs (>= 0.4.90~), debhelper (>= 6)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/mitmproxy.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/mitmproxy.git

Package: mitmproxy
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-urwid, python-openssl
Provides: ${python:Provides}
Description: SSL-capable man-in-the-middle HTTP proxy
 mitmproxy is an SSL-capable man-in-the-middle HTTP proxy. It provides
 a console interface that allows traffic flows to be inspected and
 edited on the fly.
 .
 Also shipped is mitmdump, the command-line version of mitmproxy, with
 the same functionality but without the frills. Think tcpdump for
 HTTP.
 .
 Features:
  - intercept and modify HTTP traffic on the fly
  - save HTTP conversations for later replay and analysis
  - replay both HTTP clients and servers
  - make scripted changes to HTTP traffic using Python
  - SSL interception certs generated on the fly

## mitmproxy 0.8

=== debian/changelog ===
mitmproxy (0.8-2) unstable; urgency=low

  * Added missing dependency on python-lxml (Closes: #687056)

 -- Sebastien Delafond <seb@debian.org>  Mon, 10 Sep 2012 11:10:13 +0200

mitmproxy (0.8-1) unstable; urgency=low

  * Imported Upstream version 0.8
  * Bumped up Standards-Version
  * Added new upstream dependencies

 -- Sebastien Delafond <seb@debian.org>  Thu, 19 Apr 2012 11:24:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: python-all-dev (>= 2.6.6-3~), cdbs (>= 0.4.90~), debhelper (>= 6)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/mitmproxy.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/mitmproxy.git
 
 Package: mitmproxy
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-urwid, python-openssl
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-urwid, python-openssl, python-pyasn1, python-imaging, python-lxml
 Provides: ${python:Provides}
 Description: SSL-capable man-in-the-middle HTTP proxy
  mitmproxy is an SSL-capable man-in-the-middle HTTP proxy. It provides

=== debian/watch ===
version=3

http://githubredir.debian.net/github/cortesi/mitmproxy /v(.*).tar.gz

## mitmproxy 0.9.1

=== debian/changelog ===
mitmproxy (0.9.1-2) unstable; urgency=low

  * Add dependency on python-netlib (Closes: #724239)

 -- Sebastien Delafond <seb@debian.org>  Tue, 24 Sep 2013 09:28:30 +0200

mitmproxy (0.9.1-1) unstable; urgency=low

  * New upstream release (Closes: #717694)
  * Bump up Standards-Version
  * Update watch file
  
 -- Sebastien Delafond <seb@debian.org>  Sun, 01 Sep 2013 15:03:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: python-all-dev (>= 2.6.6-3~), cdbs (>= 0.4.90~), debhelper (>= 6)
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/collab-maint/mitmproxy.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/mitmproxy.git
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/collab-maint/mitmproxy.git
+Vcs-Browser: http://anonscm.debian.org/git/collab-maint/mitmproxy.git
 
 Package: mitmproxy
 Architecture: any
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-urwid, python-openssl, python-pyasn1, python-imaging, python-lxml
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-urwid, python-openssl, python-pyasn1, python-imaging, python-lxml, python-flask, python-netlib
 Provides: ${python:Provides}
 Description: SSL-capable man-in-the-middle HTTP proxy
  mitmproxy is an SSL-capable man-in-the-middle HTTP proxy. It provides

=== debian/watch ===
version=3
https://github.com/cortesi/mitmproxy/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## mitmproxy 0.9.2

=== debian/changelog ===
mitmproxy (0.9.2-2) unstable; urgency=low

  * Change architecture to "all"

 -- Sebastien Delafond <seb@debian.org>  Tue, 31 Dec 2013 15:21:43 +0100

mitmproxy (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Tue, 31 Dec 2013 12:41:31 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: python-all-dev (>= 2.6.6-3~), cdbs (>= 0.4.90~), debhelper (>= 6)
+Build-Depends: python-all, cdbs (>= 0.4.90~), debhelper (>= 6)
 Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/collab-maint/mitmproxy.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/mitmproxy.git
 
 Package: mitmproxy
-Architecture: any
+Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-urwid, python-openssl, python-pyasn1, python-imaging, python-lxml, python-flask, python-netlib
 Provides: ${python:Provides}
 Description: SSL-capable man-in-the-middle HTTP proxy

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON2_MODULE_PACKAGES = mitmproxy

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

STAGING_DIR               := $(CURDIR)/debian/mitmproxy
DEB_INSTALL_DOCS_ALL      := CONTRIBUTORS examples/

## mitmproxy 0.10.1

=== debian/changelog ===
mitmproxy (0.10.1-2) unstable; urgency=medium

  * Add a manpage for mitmproxy, graciously provided by Alex
    Chernyakhovsky (Closes: #731928)

 -- Sebastien Delafond <seb@debian.org>  Tue, 17 Jun 2014 10:59:06 +0200

mitmproxy (0.10.1-1) unstable; urgency=low

  * New upstream version
  * Bump up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Wed, 02 Apr 2014 13:19:31 +0200

mitmproxy (0.10-2) unstable; urgency=low

  * Record that lintian overrides were added for last upload (Closes: #737439)

 -- Sebastien Delafond <seb@debian.org>  Mon, 17 Feb 2014 09:52:36 +0100

mitmproxy (0.10-1) unstable; urgency=low

  * New upstream relase

 -- Sebastien Delafond <seb@debian.org>  Mon, 10 Feb 2014 14:07:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
 Build-Depends: python-all, cdbs (>= 0.4.90~), debhelper (>= 6)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/collab-maint/mitmproxy.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/mitmproxy.git

## mitmproxy 0.11.3

=== debian/changelog ===
mitmproxy (0.11.3-3) unstable; urgency=medium

  * Versioned-depend on python-tornado >= 4.0.2 and python-netlib >=
    0.11.2 (Closes: #784303)

 -- Sebastien Delafond <seb@debian.org>  Mon, 22 Jun 2015 13:44:38 +0200

mitmproxy (0.11.3-2) unstable; urgency=medium

  * Depend on python-setuptools (Closes: #784932)

 -- Sebastien Delafond <seb@debian.org>  Tue, 19 May 2015 22:58:20 +0200

mitmproxy (0.11.3-1) unstable; urgency=medium

  * New upstream versio
  * Bump-up Standards-Version

 -- Sebastien Delafond <seb@debian.org>  Sat, 02 May 2015 13:44:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: python-all, cdbs (>= 0.4.90~), debhelper (>= 6)
-Standards-Version: 3.9.5
+Build-Depends: python-all, cdbs (>= 0.4.90~), debhelper (>= 6), python-setuptools
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/mitmproxy.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/mitmproxy.git
 
 Package: mitmproxy
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-urwid, python-openssl, python-pyasn1, python-imaging, python-lxml, python-flask, python-netlib
+Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-netlib (>= 0.11.2), python-tornado (>= 4.0.2), python-urwid, python-openssl, python-pyasn1, python-imaging, python-lxml, python-flask
 Provides: ${python:Provides}
 Description: SSL-capable man-in-the-middle HTTP proxy
  mitmproxy is an SSL-capable man-in-the-middle HTTP proxy. It provides

## mitmproxy 0.12.1

=== debian/changelog ===
mitmproxy (0.12.1-2) unstable; urgency=medium

  * Explicitely require python-netlib >= 0.12
  * Only recommend python-pyperclip instead of depending on it (Closes:
    #801279)

 -- Sebastien Delafond <seb@debian.org>  Fri, 09 Oct 2015 10:59:27 +0200

mitmproxy (0.12.1-1) unstable; urgency=medium

  * New upstream release (Closes: #789782)
  * Switch to dh

 -- Sebastien Delafond <seb@debian.org>  Thu, 01 Oct 2015 16:33:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: net
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: python-all, cdbs (>= 0.4.90~), debhelper (>= 6), python-setuptools
+Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/mitmproxy.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/mitmproxy.git
 
 Package: mitmproxy
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}, python-netlib (>= 0.11.2), python-tornado (>= 4.0.2), python-urwid, python-openssl, python-pyasn1, python-imaging, python-lxml, python-flask
+Depends: ${misc:Depends}, python-netlib (>= 0.12), ${python:Depends}, ${shlibs:Depends}
+Recommends: python-pyperclip
 Provides: ${python:Provides}
 Description: SSL-capable man-in-the-middle HTTP proxy
  mitmproxy is an SSL-capable man-in-the-middle HTTP proxy. It provides

## mitmproxy 0.15

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mitmproxy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mitmproxy.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mitmproxy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mitmproxy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

livehtml:
	sphinx-autobuild -b html -z '../libmproxy' -z '../../netlib/netlib' -r '___jb_(old|bak)___$$' $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== test/requirements.txt ===
mock>=1.0.1
nose>=1.3.0
nose-cov>=1.6
coveralls>=0.4.1
pathod>=0.10

=== debian/changelog ===
mitmproxy (0.15-1) unstable; urgency=medium

  * New upstream version 0.15
  
 -- Sebastien Delafond <seb@debian.org>  Wed, 10 Feb 2016 15:13:45 +0100

mitmproxy (0.13-1) unstable; urgency=medium

  * New upstream version (Closes: #800607)

 -- Sebastien Delafond <seb@debian.org>  Thu, 29 Oct 2015 15:07:15 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: mitmproxy
 Architecture: all
-Depends: ${misc:Depends}, python-netlib (>= 0.12), ${python:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, python-netlib (>= 0.13), ${python:Depends}, ${shlibs:Depends}
 Recommends: python-pyperclip
 Provides: ${python:Provides}
 Description: SSL-capable man-in-the-middle HTTP proxy

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mitmproxy

%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3
https://github.com/mitmproxy/mitmproxy/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## mitmproxy 0.18.1

=== debian/changelog ===
mitmproxy (0.18.1-2) unstable; urgency=medium

  * Add python-typing to list of dependencies (Closes: #842654)

 -- Sebastien Delafond <seb@debian.org>  Mon, 31 Oct 2016 10:41:19 +0100

mitmproxy (0.18.1-1) unstable; urgency=medium

  * New upstream version 0.18.1 (Closes: #836276)

 -- Sebastien Delafond <seb@debian.org>  Tue, 25 Oct 2016 09:49:36 +0200

mitmproxy (0.15-2) unstable; urgency=medium

  * Add CONTRIBUTORS and examples/ (Closes: #816189)

 -- Sebastien Delafond <seb@debian.org>  Thu, 03 Mar 2016 09:23:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,77 @@
 Section: net
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools
+Build-Depends: debhelper (>= 9), dh-python, libssl-dev, python-dev,
+ python-autopep8,
+ python-certifi,
+ python-construct (>= 2.5.2), python-construct (<< 2.6),
+ python-h2 (>= 2.4.1), python-h2 (<< 3),
+ python-hpack,
+ python-requests (>= 2.9.1), python-requests (<< 2.12),
+ python-setuptools,
+ python-urwid (>= 1.3.1), python-urwid (<< 1.4),
+ python-backports.ssl-match-hostname (>= 3.5.0.1), python-backports.ssl-match-hostname (<< 3.6),
+ python-cffi,
+ python-configargparse (>= 0.10), python-configargparse (<< 0.12),
+ python-flask (>= 0.10.1), python-flask (<< 0.12),
+ python-html2text (>= 2016.1.8), python-html2text (<< 2016.9.19),
+ python-hyperframe (<< 5),
+ python-lxml (>= 3.5.0),
+ python-mock,
+ python-openssl (>= 16.0), python-openssl (<< 17.0),
+ python-passlib (>= 1.6.5), python-passlib (<< 1.7),
+ python-pil,
+ python-pyparsing (>= 2.1.3), python-pyparsing (<< 2.2),
+ python-pytest,
+ python-pytest-cov,
+ python-pytest-timeout,
+ python-tornado (>= 4.3), python-tornado (<< 4.5),
+ python-watchdog (>= 0.8.3), python-watchdog (<< 0.9),
+ python-wheel,
+ python-blinker (<< 1.5),
+ python-bs4,
+ python-typing,
+ python-multipartposthandler,
+ python-brotli (>= 0.5.1), python-brotli (<< 0.7),
+ python-cssutils (<< 1.1),
+ python-jsbeautifier (>= 1.6.3), python-jsbeautifier (<< 1.7),
+ python-tz
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/collab-maint/mitmproxy.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/mitmproxy.git
 
 Package: mitmproxy
 Architecture: all
-Depends: ${misc:Depends}, python-netlib (>= 0.13), ${python:Depends}, ${shlibs:Depends}
-Recommends: python-pyperclip
+Depends: ${misc:Depends}, ${python:Depends},
+	 python-openssl (>= 16.0), python-openssl (<< 17.0),
+	 python-hpack,
+	 python-backports.ssl-match-hostname,
+	 python-brotli (>= 0.5.1), python-brotli (<< 0.7),
+	 python-blinker (<< 1.5),
+         python-certifi,
+         python-configargparse (>= 0.10), python-configargparse (<< 0.12),
+         python-construct (>= 2.5.2), python-construct (<< 2.6),
+         python-cryptography (>= 1.3), python-cryptography (<< 1.6),
+         python-cssutils (<< 1.1),
+         python-flask (>= 0.10.1), python-flask (<< 0.12),
+         python-h2 (>= 2.4.1), python-h2 (<< 3),
+         python-html2text (>= 2016.1.8), python-html2text (<< 2016.9.19),
+	 python-hyperframe (<< 5),
+         python-jsbeautifier (>= 1.6.3), python-jsbeautifier (<< 1.7),
+         python-lxml (>= 3.5.0),
+         python-pil (>= 3.2), python-pil (<< 3.5),
+         python-passlib (>= 1.6.5), python-passlib (<< 1.7),
+         python-pyasn1 (>= 0.1.9), python-pyasn1 (<< 0.2),
+         python-pyparsing (>= 2.1.3), python-pyparsing (<< 2.2),
+         python-requests (>= 2.9.1), python-requests (<< 2.12),
+         python-six (>= 1.10), python-six (<< 1.11),
+         python-tornado (>= 4.3), python-tornado (<< 4.5),
+	 python-typing,
+         python-urwid (>= 1.3.1), python-urwid (<< 1.4),
+         python-watchdog (>= 0.8.3), python-watchdog (<< 0.9)
+Recommends: python-pyperclip (>= 1.5.22), python-pyperclip (<< 1.6)
 Provides: ${python:Provides}
+Conflicts: python-netlib
 Description: SSL-capable man-in-the-middle HTTP proxy
  mitmproxy is an SSL-capable man-in-the-middle HTTP proxy. It provides
  a console interface that allows traffic flows to be inspected and

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mitmproxy
export PYBUILD_TEST_ARGS=-k-TestServerIPv6

%:
	dh $@ --with python2 --buildsystem=pybuild

## mitmproxy 0.18.2

=== requirements.txt ===
https://snapshots.mitmproxy.org/misc/lxml-3.6.0-cp35-cp35m-win32.whl; sys_platform == 'win32' and python_version == '3.5'
-e .[dev,examples,contentviews]
-e ./release

=== debian/changelog ===
mitmproxy (0.18.2-6) unstable; urgency=medium

  * Remove upper-bounds on all versioned dependencies (Closes: #848562)

 -- Sebastien Delafond <seb@debian.org>  Sun, 18 Dec 2016 13:43:09 +0100

mitmproxy (0.18.2-5) unstable; urgency=medium

  [ Carlos Maddela ]
  * Update copyright file to machine-readable format.
  * Show how we derive our upstream tarballs via watch and copyright files.
  * Update Standards-Version to 3.9.8.
  * Clean up mitmproxy.egg-info.
  * Use packaged version of Font Awesome in place of those excluded from upstream.
  * Prevent chrome-devtools LICENSE from being installed in undesired location.
  * Add more licensing details to copyright file.
  * Install examples via dh_installexamples instead of dh_installdocs.
  * Updated mitmproxy man page. (Closes: #806635, #812388)
  * Created man pages for remaining binaries.
  * Update Vcs-Git and Vcs-Browser to use secure protocols.
  * Override source-is-missing Lintian errors.

 -- Sebastien Delafond <seb@debian.org>  Mon, 12 Dec 2016 10:03:38 +0100

mitmproxy (0.18.2-4) unstable; urgency=medium

  * Relax python-passlib versioned dependencies, as the entire test suite
    passes with python-passlib 1.7.0-1 (Closes: #846850)

 -- Sébastien Delafond <sdelafond@gmail.com>  Sat, 10 Dec 2016 16:07:57 +0100

mitmproxy (0.18.2-3) unstable; urgency=medium

  * Add Homepage to debian/control (Closes: #844203)

 -- Sebastien Delafond <seb@debian.org>  Sun, 13 Nov 2016 14:25:45 +0100

mitmproxy (0.18.2-2) unstable; urgency=medium

  * Dependencies: 2016.9.19 for python-html2text is actually OK (Closes: #844060)

 -- Sebastien Delafond <seb@debian.org>  Sat, 12 Nov 2016 16:13:01 +0100

mitmproxy (0.18.2-1) unstable; urgency=medium

  * New upstream version 0.18.2 (Closes: #843549)

 -- Sebastien Delafond <seb@debian.org>  Tue, 08 Nov 2016 09:43:38 +0100

=== debian/control ===
Source: mitmproxy
Section: net
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 9), dh-python, libssl-dev, python-dev,
 pandoc,
 python-autopep8,
 python-certifi,
 python-construct (>= 2.5.2),
 python-h2 (>= 2.4.1),
 python-hpack,
 python-requests (>= 2.9.1),
 python-setuptools,
 python-urwid (>= 1.3.1),
 python-backports.ssl-match-hostname (>= 3.5.0.1),
 python-cffi,
 python-configargparse (>= 0.10),
 python-flask (>= 0.10.1),
 python-html2text (>= 2016.1.8),
 python-hyperframe (<< 5),
 python-lxml (>= 3.5.0),
 python-mock,
 python-openssl (>= 16.0),
 python-passlib (>= 1.6.5),
 python-pil,
 python-pyparsing (>= 2.1.3),
 python-pytest,
 python-pytest-cov,
 python-pytest-timeout,
 python-tornado (>= 4.3),
 python-watchdog (>= 0.8.3),
 python-wheel,
 python-blinker (<< 1.5),
 python-bs4,
 python-typing,
 python-multipartposthandler,
 python-brotli (>= 0.5.1),
 python-cssutils (<< 1.1),
 python-jsbeautifier (>= 1.6.3),
 python-tz
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/collab-maint/mitmproxy.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mitmproxy.git
Homepage: https://mitmproxy.org

Package: mitmproxy
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
	 python-openssl (>= 16.0),
	 python-hpack,
	 python-backports.ssl-match-hostname,
	 python-brotli (>= 0.5.1),
	 python-blinker (<< 1.5),
         python-certifi,
         python-configargparse (>= 0.10),
         python-construct (>= 2.5.2),
         python-cryptography (>= 1.3),
         python-cssutils (<< 1.1),
         python-flask (>= 0.10.1),
         python-h2 (>= 2.4.1),
         python-html2text (>= 2016.1.8),
	 python-hyperframe (<< 5),
         python-jsbeautifier (>= 1.6.3),
         python-lxml (>= 3.5.0),
         python-pil (>= 3.2),
         python-passlib (>= 1.6.5),
         python-pyasn1 (>= 0.1.9),
         python-pyparsing (>= 2.1.3),
         python-requests (>= 2.9.1),
         python-six (>= 1.10),
         python-tornado (>= 4.3),
	 python-typing,
         python-urwid (>= 1.3.1),
         python-watchdog (>= 0.8.3),
Recommends: python-pyperclip (>= 1.5.22),
Provides: ${python:Provides}
Conflicts: python-netlib
Description: SSL-capable man-in-the-middle HTTP proxy
 mitmproxy is an SSL-capable man-in-the-middle HTTP proxy. It provides
 a console interface that allows traffic flows to be inspected and
 edited on the fly.
 .
 Also shipped is mitmdump, the command-line version of mitmproxy, with
 the same functionality but without the frills. Think tcpdump for
 HTTP.
 .
 Features:
  - intercept and modify HTTP traffic on the fly
  - save HTTP conversations for later replay and analysis
  - replay both HTTP clients and servers
  - make scripted changes to HTTP traffic using Python
  - SSL interception certs generated on the fly

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mitmproxy
export PYBUILD_TEST_ARGS="-k-TestServerIPv6 -k-TestServerCurrentCipher -k-TestServerCipherList"

MAN_PAGES := $(shell cat debian/mitmproxy.manpages)

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_installman: $(MAN_PAGES)
	dh_installman

$(MAN_PAGES): %: %.md
	pandoc -s -t man -o $@ $<

## mitmproxy 2.0.2

=== requirements.txt ===
-e .[dev,examples,contentviews]

=== docs/Makefile ===
--- 
+++ 
@@ -192,4 +192,4 @@
 	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."
 
 livehtml:
-	sphinx-autobuild -b html -z '../libmproxy' -z '../../netlib/netlib' -r '___jb_(old|bak)___$$' $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	sphinx-autobuild -b html -z '../mitmproxy' -r '___jb_(old|bak|tmp)___$$' $(ALLSPHINXOPTS) $(BUILDDIR)/html

=== debian/changelog ===
mitmproxy (2.0.2-3) unstable; urgency=medium

  * Switch to DEP-14

 -- Sebastien Delafond <seb@debian.org>  Tue, 06 Feb 2018 08:34:13 +0100

mitmproxy (2.0.2-2) unstable; urgency=medium

  * Update Vcs-* to point to salsa.d.o
  * Add lost debian/watch file
  * Remove unused lintian-overrides
  * Remove bundled font-awesome from binary package (Closes: #847914)

 -- Sebastien Delafond <seb@debian.org>  Wed, 24 Jan 2018 09:44:20 +0100

mitmproxy (2.0.2-1) unstable; urgency=medium

  * Imported Upstream version 2.0.2 (Closes: #869615, #867278, #867250,
    #849556, #849648)

 -- Sebastien Delafond <seb@debian.org>  Tue, 23 Jan 2018 08:54:28 +0100

mitmproxy (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2 (Closes: #849556, #852902)
  * Lintian fixes
  * Support python3 only
  * Use packaged version of Font Awesome in place of those excluded from
    upstream (Closes: #847914)
  * Remove unnecessary Build-Depend on cffi (Closes: #849648)
  * Correct Vcs-Git

 -- Sebastien Delafond <seb@debian.org>  Fri, 27 Jan 2017 16:55:32 +0100

=== debian/control ===
Source: mitmproxy
Section: net
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3,
 pandoc,
 python3-blinker (>= 1.4),
 python3-brotli (>= 0.5.1),
 python3-bs4,
 python3-certifi,
 python3-configargparse (>= 0.10),
 python3-construct (>= 2.8.9~),
 python3-coverage,
 python3-cssutils,
 python3-flask (>= 0.10.1),
 python3-h2 (>= 2.4.1),
 python3-hpack,
 python3-html2text (>= 2016.1.8),
 python3-hyperframe,
 python3-jsbeautifier (>= 1.6.3),
 python3-kaitaistruct (>= 0.6),
 python3-lxml (>= 3.5.0),
 python3-mock,
 python3-openssl (>= 16.0),
 python3-passlib (>= 1.6.5),
 python3-pil,
 python3-pyasn1 (>= 0.1.9),
 python3-pyparsing (>= 2.1.3),
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-timeout,
 python3-requests (>= 2.9.1),
 python3-ruamel.yaml,
 python3-setuptools,
 python3-sortedcontainers,
 python3-tornado (>= 4.3),
 python3-tz,
 python3-urwid (>= 1.3.1),
 python3-watchdog (>= 0.8.3),
 python3-wheel,
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/debian/mitmproxy.git
Vcs-Browser: https://salsa.debian.org/debian/mitmproxy.git
Homepage: https://mitmproxy.org

Package: mitmproxy
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends: ${misc:Depends}, ${python3:Depends},
	 fonts-font-awesome (>= 4.2.0~dfsg),
	 python3-openssl (>= 16.0),
	 python3-hpack,
	 python3-brotli (>= 0.5.1),
	 python3-blinker (>= 1.4),
         python3-certifi,
         python3-configargparse (>= 0.10),
         python3-construct (>= 2.8.9~),
         python3-cryptography (>= 1.3),
         python3-cssutils (>=1.0.1),
         python3-flask (>= 0.10.1),
         python3-h2 (>= 2.5.1),
         python3-html2text (>= 2016.1.8),
	 python3-hyperframe (>= 4.0.1),
         python3-jsbeautifier (>= 1.6.3),
	 python3-kaitaistruct (>= 0.6),
         python3-lxml (>= 3.5.0),
         python3-pil (>= 3.2),
         python3-passlib (>= 1.6.5),
         python3-pyasn1 (>= 0.1.9),
         python3-pyparsing (>= 2.1.3),
         python3-pyperclip (>= 1.5.22),
         python3-requests (>= 2.9.1),
         python3-six (>= 1.10),
         python3-tornado (>= 4.3),
         python3-urwid (>= 1.3.1),
         python3-watchdog (>= 0.8.3),
	 python3-ruamel.yaml,
	 python3-sortedcontainers,
Conflicts: python-netlib
Description: SSL-capable man-in-the-middle HTTP proxy
 mitmproxy is an SSL-capable man-in-the-middle HTTP proxy. It provides
 a console interface that allows traffic flows to be inspected and
 edited on the fly.
 .
 Also shipped is mitmdump, the command-line version of mitmproxy, with
 the same functionality but without the frills. Think tcpdump for
 HTTP.
 .
 Features:
  - intercept and modify HTTP traffic on the fly
  - save HTTP conversations for later replay and analysis
  - replay both HTTP clients and servers
  - make scripted changes to HTTP traffic using Python
  - SSL interception certs generated on the fly

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mitmproxy
export PYBUILD_TEST_ARGS="-k-TestServerIPv6 -k-TestServerCurrentCipher -k-TestServerCipherList -k-test_format_xml -k-test_view_image"

export LC_ALL=C.UTF-8

MAN_PAGES := $(shell cat debian/mitmproxy.manpages)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --no-guessing-deps
	rm -fr debian/mitmproxy/usr/lib/python3/dist-packages/mitmproxy/addons/onboardingapp/static/fontawesome/
	rm -fr debian/mitmproxy/usr/lib/python3/dist-packages/mitmproxy/tools/web/static/fonts/

override_dh_installman: $(MAN_PAGES)
	dh_installman

$(MAN_PAGES): %: %.md
	pandoc -s -t man -o $@ $<

## mitmproxy 3.0.3

=== debian/changelog ===
mitmproxy (3.0.3-1) unstable; urgency=medium

  * New upstream revision (Closes: #894436)

 -- Sebastien Delafond <seb@debian.org>  Mon, 02 Apr 2018 10:22:09 +0200

mitmproxy (2.0.2-4) unstable; urgency=medium

  * Rediff patches, and remove all upper-bounds on versioned conflicts
    following upstream recommendation in #846850 (Closes: #892500)

 -- Sebastien Delafond <seb@debian.org>  Mon, 19 Mar 2018 11:46:44 +0100

=== debian/control ===
Source: mitmproxy
Section: net
Priority: optional
Maintainer: Sebastien Delafond <seb@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3, python3-setuptools,
 pandoc,
 python3-blinker (>= 1.4),
 python3-brotli (>= 0.7.0),
 python3-certifi,
 python3-coverage,
 python3-flask (>= 0.10.1),
 python3-h11 (>= 0.7.0),
 python3-h2 (>= 3.0.1),
 python3-hyperframe (>= 5.1.0),
 python3-kaitaistruct (>= 0.7),
 python3-ldap3 (>= 2.4),
 python3-openssl (>= 17.5),
 python3-passlib (>= 1.6.5),
 python3-pyasn1 (>= 0.3.1),
 python3-pyparsing (>= 2.1.3),
 python3-pyperclip (>= 1.6.0),
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-timeout,
 python3-requests (>= 2.9.1),
 python3-ruamel.yaml (>= 0.13.2),
 python3-sortedcontainers (>= 1.5.4),
 python3-tornado (>= 4.3),
 python3-urwid (>= 2.0.1),
 python3-wsproto (>= 0.11.0)
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/debian/mitmproxy.git
Vcs-Browser: https://salsa.debian.org/debian/mitmproxy
Homepage: https://mitmproxy.org

Package: mitmproxy
Architecture: all
Pre-Depends: dpkg (>= 1.17.14)
Depends: ${misc:Depends}, ${python3:Depends}, fonts-font-awesome (>= 4.2.0~dfsg)
Conflicts: python-netlib
Description: SSL-capable man-in-the-middle HTTP proxy
 mitmproxy is an SSL-capable man-in-the-middle HTTP proxy. It provides
 a console interface that allows traffic flows to be inspected and
 edited on the fly.
 .
 Also shipped is mitmdump, the command-line version of mitmproxy, with
 the same functionality but without the frills. Think tcpdump for
 HTTP.
 .
 Features:
  - intercept and modify HTTP traffic on the fly
  - save HTTP conversations for later replay and analysis
  - replay both HTTP clients and servers
  - make scripted changes to HTTP traffic using Python
  - SSL interception certs generated on the fly

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mitmproxy
export PYBUILD_TEST_ARGS="-k-TestHARDump -k-TestScripts -k-TestApp -k-test_mitmweb -k-test_mitmdump"

export LC_ALL=C.UTF-8

MAN_PAGES := $(shell cat debian/mitmproxy.manpages)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3
	rm -fr debian/mitmproxy/usr/lib/python3/dist-packages/mitmproxy/addons/onboardingapp/static/fontawesome/
	rm -fr debian/mitmproxy/usr/lib/python3/dist-packages/mitmproxy/tools/web/static/fonts/

override_dh_installman: $(MAN_PAGES)
	dh_installman

$(MAN_PAGES): %: %.md
	pandoc -s -t man -o $@ $<

## mitmproxy 3.0.4

=== debian/changelog ===
mitmproxy (3.0.4-1) unstable; urgency=medium

  * New upstream version 3.0.4
  * Rediff patches
  * Fix CVE-2018-14505 (Closes: #904293)

 -- Sebastien Delafond <seb@debian.org>  Sat, 04 Aug 2018 09:19:09 +0200

## mitmproxy 4.0.4

=== requirements.txt ===
-e .[dev,examples]

=== debian/changelog ===
mitmproxy (4.0.4-6.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Debian Janitor ]
  * Update standards version, no changes needed.
  * Bump debhelper from old 9 to 12.

  [ Andrej Shadura ]
  * Apply an upstream patch for wsproto 0.13 compatibility (Closes: #948206)

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 08 Apr 2020 16:47:13 +0200

mitmproxy (4.0.4-6) unstable; urgency=medium

  * Fix symlinks to fontawesome (Closes: #928749)
  * Bump-up Standards-Version
  * Update lintian overrides

 -- Sebastien Delafond <seb@debian.org>  Thu, 23 May 2019 13:30:35 +0200

mitmproxy (4.0.4-5) unstable; urgency=medium

  * Add dependency on python3-pkg-resources (Closes: #923354)

 -- Sebastien Delafond <seb@debian.org>  Mon, 04 Mar 2019 10:49:20 +0100

mitmproxy (4.0.4-4) unstable; urgency=medium

  * Remove references to manpage in debian/rules
  * Blacklist tests that require internet access (Closes: #906976)

 -- Sebastien Delafond <seb@debian.org>  Thu, 30 Aug 2018 18:00:54 +0200

mitmproxy (4.0.4-3) unstable; urgency=medium

  * Remove manpages, as they're way outdated and upstream is not interested in maintaining them (Closes: #905588)

 -- Sebastien Delafond <seb@debian.org>  Mon, 06 Aug 2018 19:53:35 +0200

mitmproxy (4.0.4-2) unstable; urgency=medium

  * Add dependency on python3-h11 (Closes: #905587)

 -- Sebastien Delafond <seb@debian.org>  Mon, 06 Aug 2018 19:47:21 +0200

mitmproxy (4.0.4-1) unstable; urgency=medium

  * New upstream version 4.0.4
  * Remove CVE-2018-14505 patch

 -- Sebastien Delafond <seb@debian.org>  Sun, 05 Aug 2018 09:18:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Sebastien Delafond <seb@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python3, python3-setuptools,
+Build-Depends: dh-python, python3, python3-setuptools,
  pandoc,
  python3-blinker (>= 1.4),
  python3-brotli (>= 0.7.0),
@@ -27,8 +27,9 @@
  python3-sortedcontainers (>= 1.5.4),
  python3-tornado (>= 4.3),
  python3-urwid (>= 2.0.1),
- python3-wsproto (>= 0.11.0)
-Standards-Version: 4.1.3
+ python3-wsproto (>= 0.13.0),
+ debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/mitmproxy.git
 Vcs-Browser: https://salsa.debian.org/debian/mitmproxy
 Homepage: https://mitmproxy.org
@@ -36,7 +37,7 @@
 Package: mitmproxy
 Architecture: all
 Pre-Depends: dpkg (>= 1.17.14)
-Depends: ${misc:Depends}, ${python3:Depends}, fonts-font-awesome (>= 4.2.0~dfsg)
+Depends: ${misc:Depends}, ${python3:Depends}, fonts-font-awesome (>= 4.2.0~dfsg), python3-h11, python3-pkg-resources
 Conflicts: python-netlib
 Description: SSL-capable man-in-the-middle HTTP proxy
  mitmproxy is an SSL-capable man-in-the-middle HTTP proxy. It provides

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mitmproxy
export PYBUILD_TEST_ARGS="-k-TestHARDump -k-TestScripts -k-test_mitmweb -k-test_mitmdump -k-TestDaemonSSL -k-test_tcp -k-TestHTTPS -k-TestMasterSecretLogger"

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3
	rm -fr debian/mitmproxy/usr/lib/python3/dist-packages/mitmproxy/addons/onboardingapp/static/fontawesome/
	rm -fr debian/mitmproxy/usr/lib/python3/dist-packages/mitmproxy/tools/web/static/fonts/

override_dh_installman: $(MAN_PAGES)
	dh_installman

## mitmproxy 5.1.1

=== debian/changelog ===
mitmproxy (5.1.1-2) unstable; urgency=medium

  * Team upload.
  * Remove zstd dependency from setup.py as well (Closes: #963487).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 29 Jun 2020 11:21:51 +0200

mitmproxy (5.1.1-1) unstable; urgency=medium

  * New upstream release (Closes: #963067, #959180).
    - Refresh patches.
    - Bump build dependencies.
    - Patch out zstd not yet available in Debian.
  * Maintain in a team.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 19 Jun 2020 11:41:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,44 @@
 Source: mitmproxy
 Section: net
 Priority: optional
-Maintainer: Sebastien Delafond <seb@debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders:
+ Sebastien Delafond <seb@debian.org>,
+ Andrej Shadura <andrewsh@debian.org>
 Build-Depends: dh-python, python3, python3-setuptools,
  pandoc,
  python3-blinker (>= 1.4),
- python3-brotli (>= 0.7.0),
- python3-certifi,
- python3-coverage,
- python3-flask (>= 0.10.1),
+ python3-brotli (>= 1.0),
+ python3-certifi (>= 2019.9.11),
+ python3-cryptography (>= 2.8),
+ python3-coverage <!nocheck>,
+ python3-flask (>= 1.1.1),
  python3-h11 (>= 0.7.0),
- python3-h2 (>= 3.0.1),
+ python3-h2 (>= 3.2.0),
+ python3-hypothesis (>= 5.8) <!nocheck>,
  python3-hyperframe (>= 5.1.0),
  python3-kaitaistruct (>= 0.7),
- python3-ldap3 (>= 2.4),
- python3-openssl (>= 17.5),
+ python3-ldap3 (>= 2.6.1),
+ python3-openssl (>= 19.1.0),
+ python3-protobuf (>= 3.6.0),
  python3-passlib (>= 1.6.5),
  python3-pyasn1 (>= 0.3.1),
- python3-pyparsing (>= 2.1.3),
+ python3-pyparsing (>= 2.4.2),
  python3-pyperclip (>= 1.6.0),
- python3-pytest,
- python3-pytest-cov,
- python3-pytest-timeout,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-pytest-timeout <!nocheck>,
+ python3-pytest-asyncio <!nocheck>,
+ python3-publicsuffix2 (>= 2.20190812),
  python3-requests (>= 2.9.1),
- python3-ruamel.yaml (>= 0.13.2),
- python3-sortedcontainers (>= 1.5.4),
+ python3-ruamel.yaml (>= 0.16),
+ python3-sortedcontainers (>= 2.1.0),
  python3-tornado (>= 4.3),
- python3-urwid (>= 2.0.1),
- python3-wsproto (>= 0.13.0),
+ python3-urwid (>= 2.1.0),
+ python3-wsproto (>= 0.14),
+ tox (>= 3.5) <!nocheck>,
+ locales-all <!nocheck>,
+# python3-zstandard,
  debhelper-compat (= 12)
 Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/mitmproxy.git

## mitmproxy 5.3.0

=== debian/changelog ===
mitmproxy (5.3.0-3) unstable; urgency=high

  * Use "not" with -k, not "-" for pytest 6 compatibility
    (Closes: #977071).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 04 Jan 2021 09:53:30 +0100

mitmproxy (5.3.0-2) unstable; urgency=medium

  * Pre-wrap dependencies of the binary package.
  * Fix the dependencies of the binary package (Closes: #977926, #977927)
  * Drop an explicit dependency on h11, wsproto depends on it already.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 30 Dec 2020 09:51:56 +0100

mitmproxy (5.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #976035, #975178).
    - Refresh patches
    - Bump build dependencies.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 30 Nov 2020 12:10:21 +0100

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=mitmproxy
-export PYBUILD_TEST_ARGS="-k-TestHARDump -k-TestScripts -k-test_mitmweb -k-test_mitmdump -k-TestDaemonSSL -k-test_tcp -k-TestHTTPS -k-TestMasterSecretLogger"
+export PYBUILD_TEST_ARGS=-k"not TestHARDump" -k"not TestScripts" -k"not test_mitmweb" -k"not test_mitmdump" -k"not TestDaemonSSL" -k"not test_tcp" -k"not TestHTTPS" -k"not TestMasterSecretLogger" -k"not test_get_version"
 
 export LC_ALL=C.UTF-8

## mitmproxy 6.0.2

=== debian/changelog ===
mitmproxy (6.0.2-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Tosi ]
  * debian/watch
    - tweak search regex to optionally look for `v` before version

  [ Andrey Rakhmatullin ]
  * Remove references to the removed OpenSSL.SSL.{SSLv2,SSLv3}_METHOD (Closes:
    #1026525).
  * Update lintian overrides for the newer lintian.

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 24 Jan 2023 23:18:17 +0400

mitmproxy (6.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches and downgrade dependencies.
  * Ignore test failures.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 06 Jan 2021 15:55:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,25 @@
 Source: mitmproxy
 Section: net
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Sebastien Delafond <seb@debian.org>,
  Andrej Shadura <andrewsh@debian.org>
 Build-Depends: dh-python, python3, python3-setuptools,
  pandoc,
+ python3-asgiref (>= 3.2.10),
  python3-blinker (>= 1.4),
  python3-brotli (>= 1.0),
  python3-certifi (>= 2019.9.11),
- python3-cryptography (>= 2.8),
+ python3-click (>= 7.0),
+ python3-cryptography (>= 3.2),
  python3-coverage <!nocheck>,
  python3-flask (>= 1.1.1),
- python3-h11 (>= 0.7.0),
- python3-h2 (>= 3.2.0),
+ python3-h2 (>= 4.0),
  python3-hypothesis (>= 5.8) <!nocheck>,
- python3-hyperframe (>= 5.1.0),
+ python3-hyperframe (>= 6.0),
  python3-kaitaistruct (>= 0.7),
- python3-ldap3 (>= 2.6.1),
+ python3-ldap3 (>= 2.8),
+ python3-msgpack (>= 1.0.0),
  python3-openssl (>= 19.1.0),
  python3-protobuf (>= 3.6.0),
  python3-passlib (>= 1.6.5),
@@ -47,9 +48,17 @@
 
 Package: mitmproxy
 Architecture: all
-Pre-Depends: dpkg (>= 1.17.14)
-Depends: ${misc:Depends}, ${python3:Depends}, fonts-font-awesome (>= 4.2.0~dfsg), python3-h11, python3-pkg-resources
-Conflicts: python-netlib
+Pre-Depends:
+ dpkg (>= 1.17.14),
+Depends:
+ fonts-font-awesome (>= 4.2.0~dfsg),
+ python3-h2 (>= 4.0),
+ python3-hyperframe (>= 6.0),
+ python3-pkg-resources,
+ ${misc:Depends},
+ ${python3:Depends},
+Conflicts:
+ python-netlib,
 Description: SSL-capable man-in-the-middle HTTP proxy
  mitmproxy is an SSL-capable man-in-the-middle HTTP proxy. It provides
  a console interface that allows traffic flows to be inspected and

=== debian/watch ===
version=3
pgpmode=none
https://github.com/mitmproxy/mitmproxy/tags .*/v?(\d[\d\.]*)\.tar\.gz debian uupdate
